ReferenceCloud managementRevoke an API key

Revoke an API key

1 min readEdit this page
DELETE
/v1/namespaces/{nsid}/keys/{id}

Stamps revoked_at on the row. Subsequent verifies fail with 401.

Requires the keys:write scope.

Authorization

x-api-key<token>

Anthropic-style API key header.

In: header

Path Parameters

nsid*string

Id of the target namespace. Must be owned by the caller (or equal a namespace-baked credential's own namespace), else 404.

id*string

Surrogate id of the api_keys row.

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/v1/namespaces/string/keys/string"
{}
{  "error": "string",  "error_description": "string"}
{  "error": "string",  "error_description": "string"}
{  "error": "string",  "error_description": "string"}

How is this guide?